<template>
  <div class="center">
    <div class="game">
      <div class="game-content">
        <h3>{{ game.name }}</h3>
        <div class="gamedata">
          <div class="col">
            <p>Players: {{ game.playerCount }}</p>
          </div>
          <div class="col">
            <p>End Date: {{ game.enddate || "None" }}</p>
          </div>
        </div>
      </div>

      <button @click="joinGame">Join</button>
    </div>
  </div>
</template>

<script>
// import InputTag from "../atoms/InputTag.vue";
// import InputField from "../atoms/InputField.vue";
import axios from "axios";

export default {
  components: {},
  props: {
    game: {
      type: Object,
    },
  },
  methods: {
    async joinGame() {
      axios.post(`api/games/${this.game.id}/join`);
      this.$router.push({ name: "game", params: { id: this.game.id } });
    },
  },
};
</script>

<style lang="scss">
.center {
  display: flex;
  flex-direction: row;
  .game {
    display: flex;
    flex-direction: column;
    justify-content: center;
    background-color: white;
    border: 0.1rem #09639b solid;
    border-radius: 0.2rem;
    padding: 0;
    margin-bottom: 0.5rem;

    width: 90vw;
    max-width: 24rem;
    .game-content {
      padding: 0 1rem;
      h3 {
        text-decoration: none;
        font-weight: bold;
        font-size: 1rem;
      }
      .gamedata {
        display: flex;
        flex-direction: row;
        align-self: center;
        width: 100%;
      }
    }

    button {
      background-color: #09639b;
      color: white;
      width: 100%;
      height: 1.5rem;
      border: none;
      border-radius: 0 0 0.1rem 0.1rem;
      cursor: pointer;
    }
  }
}
</style>
